/* ====================================================================
 * Copyright (c) 2003-2004, 2008  Martin Hauner
 *                                http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */
#ifndef SC_CONFIG_H
#define SC_CONFIG_H


/* berkeley db */
//#define HAVE_DB_H 1

/* nls */
#define ENABLE_NLS 1



/* gettext */
#define _n(x) x
#define PACKAGE_NAME "Subcommander"

#ifdef ENABLE_NLS
#include <libintl.h>
// libintl.h defines sprintf to libintl_sprintf. Unfortunately
// QCString has an sprintf method. Since sprintf is a define
// now the linker requires a QCString::libintl_sprintf symbol.
// To fix this we undef sprintf again.
#undef sprintf
#define _(x)  dgettext(PACKAGE_NAME, x)
#define _q(x) QString::fromUtf8(dgettext(PACKAGE_NAME, x))
#define _s(x) sc::String(dgettext(PACKAGE_NAME, x))
#else
#define _(x)  (x)
#define _q(x) QString::fromUtf8(x)
#define _s(x) sc::String(x)
#endif


#endif // SC_CONFIG_H
